playstore-manifest

Source

  • Repository: jef-systems/jef-playstore-backend

  • Source Run ID: 24772629796

  • Source SHA: 193dd0ff86c663774fac9efc2077fdcd7f171e3a

  • Module: playstore

  • Documentation Scope: get

  • Lambda: jef-playstore-get-1

Endpoint

  • API Name: jef-playstore

  • Action Name: get

  • Method: GET

  • Scope Label: GET

  • Resource Path: /playstore-manifest

  • Complete Endpoint: https://ameomhdx6h.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifest

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-playstore-get-1

  • curl payload mode: none

API Gateway Description

Function: jef-playstore-get-1
API Name: jef-playstore
Action: get
Method: GET
Resource Path: /playstore-manifest

Response:
- exists: boolean
- message: string
- items: [{"pk":"string","gsi_1_pk":"string","gsi_1_sk":"string","name":"string","slug":"string","version":"string","package_name":"string","scheme":"string","icon":"string","updated_at":"string-iso8601","updated_at_humanized":"string","idempotency_key":"string-uuidv4"}]
- count: number-whole-number
- last_evaluated_key: string-optional
- source: string

Request Payload

[]

Response

{
  "exists": "boolean",
  "message": "string",
  "items": "[{\"pk\":\"string\",\"gsi_1_pk\":\"string\",\"gsi_1_sk\":\"string\",\"name\":\"string\",\"slug\":\"string\",\"version\":\"string\",\"package_name\":\"string\",\"scheme\":\"string\",\"icon\":\"string\",\"updated_at\":\"string-iso8601\",\"updated_at_humanized\":\"string\",\"idempotency_key\":\"string-uuidv4\"}]",
  "count": "number-whole-number",
  "last_evaluated_key": "string-optional",
  "source": "string"
}

CMD curl

curl "https://ameomhdx6h.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifest"

PowerShell curl

curl.exe "https://ameomhdx6h.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifest"